com.google.gwt.resources.client

## Interface ResourceCallback<R extends ResourcePrototype>

Type Parameters:
  `R` - the type of resource

    public interface ResourceCallback<R extends ResourcePrototype>

A callback interface for asynchronous operations on resources.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onError(ResourceException e)` Invoked if the asynchronous operation failed.
`void` `onSuccess(R resource)` Invoked if the asynchronous operation was successfully completed.

### Method Detail

#### onError

    void onError(ResourceException e)

Invoked if the asynchronous operation failed.

Parameters:
  `e` - an exception describing the failure

#### onSuccess

    void onSuccess(R resource)

Invoked if the asynchronous operation was successfully completed.

Parameters:
  `resource` - the resource on which the operation was performed